package gtool

import (
	"git.sre.ink/go/gtool/convert"
	"git.sre.ink/go/gtool/crypto"
	"git.sre.ink/go/gtool/file"
	"git.sre.ink/go/gtool/httpQuery"
	"git.sre.ink/go/gtool/net"
	"git.sre.ink/go/gtool/operaSystem"
	"git.sre.ink/go/gtool/rand"
	"git.sre.ink/go/gtool/regx"
	"git.sre.ink/go/gtool/str"
)

var (
	//string tools
	Str   str.Str
	Crypt crypto.Crypto
	Rand  rand.Rand
	Conv  convert.Conv
	Regx  regx.Regx
	File  file.File
	OS    operaSystem.OperaSystem
	NET   net.NET
	HTTP  httpQuery.HTTPQuery
)
