package operaSystem

import (
	"fmt"
	"testing"
)

func TestOperaSystem_GetOsEnv(t *testing.T) {
	fmt.Println(operaSystem.GetOsEnv("GOPATH"))
	fmt.Println(operaSystem.GetOsEnv("hello"))
}

func TestOperaSystem_SetOsEnv(t *testing.T) {
	operaSystem.SetOsEnv("hello", "test")
	fmt.Println(operaSystem.GetOsEnv("hello"))
}

func TestOperaSystem_RemoveOsEnv(t *testing.T) {
	operaSystem.SetOsEnv("hello", "test")
	operaSystem.RemoveOsEnv("hello")
	fmt.Println(operaSystem.GetOsEnv("hello"))
}

func TestOperaSystem_CompareOsEnv(t *testing.T) {
	operaSystem.SetOsEnv("hello", "test")
	fmt.Println(operaSystem.CompareOsEnv("hello", "test"))
	fmt.Println(operaSystem.CompareOsEnv("hello", "test1"))
}
